Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.transport.http
Class HttpTransportChannel

    java.lang.Object
      org.codehaus.activemq.transport.TransportChannelSupport
          org.codehaus.activemq.transport.http.HttpTransportChannelSupport
              org.codehaus.activemq.transport.http.HttpTransportChannel

All Implemented Interfaces:
  Runnable, Service, TransportChannel

public class HttpTransportChannel
extends HttpTransportChannelSupport

Version:
  $Revision: 1.3 $

Field Summary

Fields inherited from class org.codehaus.activemq.transport.TransportChannelSupport
`pendingStop, transportConnected`

Constructor Summary
`HttpTransportChannel(TextWireFormat wireFormat, String remoteUrl)`

Method Summary
`void` | `asyncSend(Packet packet)` Asynchronously send a Packet
`protected void` | `configureConnection(HttpURLConnection connection)`
`protected HttpURLConnection` | `getReceiveConnection()`
`protected HttpURLConnection` | `getSendConnection()`
`boolean` | `isMulticast()`
`void` | `run()`
`void` | `stop()` close the channel

Methods inherited from class org.codehaus.activemq.transport.http.HttpTransportChannelSupport
`canProcessWireFormatVersion, getClosed, getCurrentWireFormatVersion, getRemoteUrl, getStarted, getWireFormat, setClientID, setWireFormat, start, startThread, toString`

Methods inherited from class org.codehaus.activemq.transport.TransportChannelSupport
`addTransportStatusEventListener, doAsyncSend, doConsumePacket, doConsumePacket, doHandleReceipt, doHandleWireFormat, fireStatusEvent, fireStatusEvent, getClientID, getExceptionListener, getPacketListener, getTransportChannelListener, isPendingStop, isServerSide, isTransportConnected, onAsyncException, removeTransportStatusEventListener, send, send, setExceptionListener, setPacketListener, setPendingStop, setServerSide, setTransportChannelListener, setTransportConnected, stopExecutor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HttpTransportChannel

    public HttpTransportChannel(TextWireFormat wireFormat,
                                String remoteUrl)
                         throws MalformedURLException

Method Detail

### asyncSend

    public void asyncSend(Packet packet)
                   throws JMSException

  Description copied from interface: `TransportChannel`
  Asynchronously send a Packet

  Parameters:
    `packet` -
  Throws:
    `JMSException`

### stop

    public void stop()

  Description copied from class: `TransportChannelSupport`
  close the channel

  Specified by:
    `stop` in interface `TransportChannel`
  Overrides:
    `stop` in class `HttpTransportChannelSupport`

### isMulticast

    public boolean isMulticast()

  Specified by:
    `isMulticast` in interface `TransportChannel`
  Overrides:
    `isMulticast` in class `HttpTransportChannelSupport`

### run

    public void run()

### getSendConnection

    protected HttpURLConnection getSendConnection()
                                           throws IOException

  Throws:
    `IOException`

### getReceiveConnection

    protected HttpURLConnection getReceiveConnection()
                                              throws IOException

  Throws:
    `IOException`

### configureConnection

    protected void configureConnection(HttpURLConnection connection)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.